Skip to content

Resize Image

Resize your images to any dimension for free. Scale images by percentage or to specific pixel dimensions.

2 credits per conversionOutput: Try on web

Accepted formats

.jpg, .jpeg, .png, .gif, .webp

Parameters

NameTypeRequiredDescription
files[]fileYesFile(s) to convert
resize_widthintegerNoTarget width (1-10000). At least one of width, height, or percentage is required.
resize_heightintegerNoTarget height (1-10000). At least one of width, height, or percentage is required.
resize_percentageintegerNoResize percentage (1-500). At least one of width, height, or percentage is required.
maintain_aspect_ratiobooleanNoMaintain aspect ratio (default: true)

Code example

curl -X POST "https://gurupdf.com/api/v1/convert/resize-image" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -F "files[]=@/path/to/document.pdf"

Related tools